# clickNgo

A minimalistic implementation of **Click'n'Load 2** (as used by [JDownloader](https://jdownloader.org/knowledge/wiki/glossary/cnl2)) written in **Go**. The project is intentionally kept small, follows the **KISS principle**, and has **zero external dependencies**.

## Installation

To get started with clickNgo, follow these steps:

```bash
git clone https://git.0x0001f346.de/andreas/clickNgo.git
cd clickNgo
go build -o ./build/ .
```

## Usage

Once built, you can run clickNgo with the following command:
```bash
build/clickNgo
```

Simply start the application, click on a corresponding button in your browser, and admire the decrypted links in your terminal.